from django.urls import re_path

from rest_framework_simplejwt_mongoengine import views as jwt_views
from rest_framework_simplejwt_mongoengine.utils import drf_simplejwt_version

from . import views

urlpatterns = [
    re_path(r"^token/pair/$", jwt_views.token_obtain_pair, name="token_obtain_pair"),
    re_path(r"^token/refresh/$", jwt_views.token_refresh, name="token_refresh"),
    re_path(r"^token/sliding/$", jwt_views.token_obtain_sliding, name="token_obtain_sliding"),
    re_path(r"^token/sliding/refresh/$", jwt_views.token_refresh_sliding, name="token_refresh_sliding"),
    re_path(r"^token/verify/$", jwt_views.token_verify, name="token_verify"),
    re_path(r"^test-view/$", views.test_view, name="test_view"),
]

if drf_simplejwt_version in ["5.0.0", "5.1.0", "5.2.0", "5.2.1", "5.2.2"]:
    urlpatterns += [
        re_path(r"^token/blacklist/$", jwt_views.token_blacklist, name="token_blacklist"),
    ]
